Wednesday, February 25, 2015

Hurt Me Plenty, patched to RC5 + now with Linux build

I've updated my spanking game Hurt Me Plenty to version RC5... by removing the Leap Motion support which seemed to be crashing for certain users. Thanks to all the people who e-mailed me to report the crash / sorry for any inconvenience.

If you want to play the game with a Leap Motion, download version RC4; if you don't have a Leap Motion or you were having problems playing before, then download version RC5.

I also updated the in-game graphics with an actual mouse graphic, so it should also be easier to play / figure out what you're supposed to do. Oh and I finally did a Linux build, it's x86 / x86_64 universal.

Game is available for "pay what you want" here: